Subject: bug#77883: 31.0.50; C-c C-e in *scratch* generates a missing lexical binding cookie warning

From: Sean Whitton <[email-masked]>
Date: Fri, 18 Apr 2025 19:37:04 +0800

Hello,

On Fri 18 Apr 2025 at 01:49pm +03, Eli Zaretskii wrote:

>> From: Sean Whitton <[email-masked]>
>> Date: Fri, 18 Apr 2025 10:35:42 +0800
>>
>> Found another case.
>
> IMO, it's a bug, because "C-x C-e" doesn't generate any such warnings,
> and lexical-binding is t in *scratch* anyway.

Right.

>> *scratch* should probably remain under the dynamic binding dialect of
>> Emacs Lisp until and unless we switch the default.
>
> I think we intentionally decided to switch to t, and I don't see a
> reason to revert that decision.

Oh, me neither, I had forgotten/missed that discussion.
What I really meant is that we shouldn't be adding a lexical binding
cookie to the file.

-- 
Sean Whitton